Bug 236073 - graphics/enblend: Update to 4.2
Summary: graphics/enblend: Update to 4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Greg Lehey
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-27 04:03 UTC by Darren Mulligan
Modified: 2019-04-07 06:31 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (grog)


Attachments
Patch to update enblend to 4.2. (7.25 KB, patch)
2019-02-27 04:03 UTC, Darren Mulligan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darren Mulligan 2019-02-27 04:03:55 UTC
Created attachment 202400 [details]
Patch to update enblend to 4.2.

Updates graphics/enblend to 4.2.

Move BROKEN line higher to fix portlint warning.

Change OpenEXR from build and run depend to lib depend.

Remove lib depend on boost-libs and --with-boost-filesystem. Boost is now only a build depend. From NEWS:
- Support of the Boost filesystem library has been dropped.  There is
  no Boost library dependence anymore.

Remove USE_GL. From NEWS:
- Support for OpenGL acceleration has been dropped.  So, the
  dependencies on the libraries GL, GLU, and Glut do not exist any
  longer.

Add pkgconfig to USES to fix configure warning.

Info files are no longer included in distfile. Remove installation of info files and makeinfo from USES.

The LaTeX documentation is currently disabled, it was never able to be successfully built after several days of trying.

Removed files:
files/patch-include_vigra__ext_impexalpha.hxx
files/patch-src_filespec.cc
Comment 1 commit-hook freebsd_committer 2019-04-07 05:53:40 UTC
A commit references this bug:

Author: grog
Date: Sun Apr  7 05:52:51 UTC 2019
New revision: 498243
URL: https://svnweb.freebsd.org/changeset/ports/498243

Log:
  Update to revision 4.2.

  Move BROKEN line higher to fix portlint warning.

  Change OpenEXR from build and run depend to lib depend.

  Remove lib depend on boost-libs and --with-boost-filesystem. Boost is now only
  a build depend. From NEWS:
  - Support of the Boost filesystem library has been dropped.  There is
    no Boost library dependence anymore.

  Remove USE_GL. From NEWS:
  - Support for OpenGL acceleration has been dropped.  So, the
    dependencies on the libraries GL, GLU, and Glut do not exist any
    longer.

  Add pkgconfig to USES to fix configure warning.

  Info files are no longer included in distfile. Remove installation of info
  files and makeinfo from USES.

  The LaTeX documentation is currently disabled.  It was never able to be
  successfully built after several days of trying.

  PR: 236073
  Submitted by: Darren Mulligan
  Reported by: Darren Mulligan
  MFC after: 2 weeks

Changes:
  head/graphics/enblend/Makefile
  head/graphics/enblend/distinfo
  head/graphics/enblend/files/
Comment 2 Greg Lehey freebsd_committer 2019-04-07 06:31:23 UTC
Committed, thanks.